Debian Bug report logs - #532537
xterm should be an alias for xterm-256colors

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>

Date: Tue, 9 Jun 2009 22:24:02 UTC

Severity: wishlist

Tags: wontfix

Found in version ncurses/5.7+20081213-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#532537; Package ncurses-base. (Tue, 09 Jun 2009 22:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 09 Jun 2009 22:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>
To: submit@bugs.debian.org
Subject: xterm should be an alias for xterm-256colors
Date: Tue, 09 Jun 2009 23:45:51 +0200
[Message part 1 (text/plain, inline)]
Package: ncurses-base
Version: 5.7+20081213-1

XTerm is an alias for xterm-new, an 8-colour version of XTerm.  Since
all Debian systems have been supporting the 256-colour interface for as
long as anyone can remember, XTerm should be an alias for xterm-256color.

Note that setting TERM=xterm-256color won't do, since it will break
ssh-ing into a machine that doesn't have an xterm-256color database
entry.

                                        Juliusz
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>:
Bug#532537. (Tue, 09 Jun 2009 23:36:09 GMT) Full text and rfc822 format available.

Message #8 received at 532537-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 532537-submitter@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#532537: xterm should be an alias for xterm-256colors
Date: Tue, 9 Jun 2009 19:29:06 -0400 (EDT)
On Tue, 9 Jun 2009, Juliusz Chroboczek wrote:

> Package: ncurses-base
> Version: 5.7+20081213-1
>
> XTerm is an alias for xterm-new, an 8-colour version of XTerm.  Since
> all Debian systems have been supporting the 256-colour interface for as
> long as anyone can remember, XTerm should be an alias for xterm-256color.
>
> Note that setting TERM=xterm-256color won't do, since it will break
> ssh-ing into a machine that doesn't have an xterm-256color database
> entry.

Changing the functionality would just break a different aspect of the 
functionality.

ymmv

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#532537; Package ncurses-base. (Sun, 05 Dec 2010 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 05 Dec 2010 18:33:03 GMT) Full text and rfc822 format available.

Message #13 received at 532537@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 532537@bugs.debian.org
Subject: Will not make xterm an alias for xterm-256color
Date: Sun, 05 Dec 2010 19:29:26 +0100
severity 532537 wishlist
tags 532537 + wontfix
thanks

It seems that (xterm and ncurses) upstream disagrees with the submitter,
and we are not going to deviate.  Tagging this bug as wontfix.

Sven




Severity set to 'wishlist' from 'normal' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 05 Dec 2010 18:33:07 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 05 Dec 2010 18:33:07 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Wed, 28 Dec 2011 09:27:04 GMT) Full text and rfc822 format available.

Notification sent to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>:
Bug acknowledged by developer. (Wed, 28 Dec 2011 09:27:05 GMT) Full text and rfc822 format available.

Message #22 received at 532537-done@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 532537-done@bugs.debian.org
Subject: Re: Bug#532537: xterm should be an alias for xterm-256colors
Date: Wed, 28 Dec 2011 10:25:02 +0100
On 2009-06-09 23:45 +0200, Juliusz Chroboczek wrote:

> Package: ncurses-base
> Version: 5.7+20081213-1
>
> XTerm is an alias for xterm-new, an 8-colour version of XTerm.  Since
> all Debian systems have been supporting the 256-colour interface for as
> long as anyone can remember, XTerm should be an alias for xterm-256color.

It would be wrong to do this, since there are terminals out there that
aim to be xterm compatible but do not actually support 256 colors.  Most
notably, the console under FreeBSD 9+ kernels.

> Note that setting TERM=xterm-256color won't do, since it will break
> ssh-ing into a machine that doesn't have an xterm-256color database
> entry.

If you cannot change TERM, there is the possibility of defining an alias
yourself, either for your personal use:

$ mkdir -p ~/.terminfo/x
$ ln -s /lib/terminfo/x/xterm-256color ~/.terminfo/x/xterm

or systemwide:

# mkdir -p /etc/terminfo/x
# ln -s /lib/terminfo/x/xterm-256color /etc/terminfo/x/xterm




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jan 2012 07:36:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:05:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.